<?php

namespace Drupal\Tests\security_analysis\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\user\UserInterface;

/**
 * Contains tests related to the SecurityReview class.
 *
 * @group security_review
 */
class SecurityAnalysisTest extends BrowserTestBase {

  /**
   * {@inheritdoc}
   */
  protected $defaultTheme = 'claro';

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'security_analysis',
  ];

  /**
   * The test user.
   *
   * @var \Drupal\user\UserInterface
   */
  protected UserInterface $adminUser;


  /**
   * The test user.
   *
   * @var \Drupal\user\UserInterface
   */
  protected UserInterface $viewerUser;

  /**
   * {@inheritdoc}
   */
  protected function setUp(): void {
    parent::setUp();
    // Login.
    $this->adminUser = $this->drupalCreateUser(['access security analysis admin overview']);
    $this->viewerUser = $this->drupalCreateUser();
  }

  /**
   * Test access to admin page as admin user.
   */
  public function testAccessAdminPageAsAdmin(): void {
    $this->drupalLogin($this->adminUser);
    $this->drupalGet('/admin/security_analysis');
    $this->assertSession()->statusCodeEquals(200);
  }

  /**
   * Test access to admin page as editor user.
   */
  public function testAccessAdminPageAsViewer(): void {
    $this->drupalLogin($this->viewerUser);
    $this->drupalGet('/admin/security_analysis');
    $this->assertSession()->statusCodeEquals(403);
  }

}
